﻿@using NacGroup.Module.Core.Services
@inject IGettingGlobalConfigService GettingGlobalConfigService;
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = "Thông tin người dùng cho lần đăng nhập đầu tiên";
    Layout = "_Layout";

}
@section Style{
    <link href="/plugins/alertifyjs/css/alertify.css" rel="stylesheet" />
    <link href="/plugins/alertifyjs/css/themes/bootstrap.css" rel="stylesheet" />
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/account-page.min.css" rel="stylesheet" />
    <link href="/plugins/nacicon/css/nac-icon.css" rel="stylesheet" />
    <link href="/css/account-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/account-page.min.js"></script>
    <script src="/plugins/alertifyjs/alertify.js"></script>
    <script src="/js/account-page.js"></script>
    <script>
        function submitaccountkitform() {
            var form = $("#accountkitform");
            $("#loading").show();
            $.ajax({
                url: "/account/confirmaccountkit",
                type: "POST",
                data: form.serialize(),
                success: response => {
                    $("#loading").hide();
                    if (response.status == "success") {
                        alertify.alert("Thành công", response.message, function () {
                            window.location.href = response.data.ReturnUrl ? response.data.ReturnUrl : "/accountapp";
                        });
                    } else {
                        alertify.alert("Error", response.message);
                    }
                },
                error: function (er) {
                    $("#loading").hide();
                    alertify.alert(
                        "Lỗi",
                        "Rất tiếc ! Hệ thống có một số lỗi. Vui lòng thử lại!"
                    );
                }
            });
        }

/**/</script>
}


<main id="account-page">
    <div id="forgotpassword" class="container">
        <div class="acc--pagetit">
           Kích hoạt tài khoản
        </div>
        <form id="accountkitform" onsubmit="return false;submitaccountkitform()">
            <div class="form-group">
                <label>Họ</label>
                <input type="text" class="form-control" name="FirstName" placeholder="First name">
            </div>
            <div class="form-group">
                <label>Tên</label>
                <input type="text" class="form-control" name="LastName" placeholder="Last name">
            </div>
            <div class="form-group">
                <label>Email</label>
                <input type="text" class="form-control" name="Email" placeholder="Email">
            </div>
            <div class="btn-container">
                <button type="submit" onclick="submitaccountkitform()" class="btn btn-primary">
                    Đăng nhập
                </button>
            </div>
        </form>
    </div>
</main>